Package uk.ac.starlink.topcat.join

# Class OutputRequirements

java.lang.Object
uk.ac.starlink.topcat.join.OutputRequirements

public class OutputRequirements extends Object
Defines the per-table requirements for type of output in a multi-table match. This class provides graphical components that the user can interact with to define what the output table should look like.

Since:
  20 Mar 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`OutputRequirements()`
Constructs a new OutputRequirements object.

## Method Summary

Modifier and Type
Method
Description
`void`
`addActionListener(ActionListener l)`
Adds a listener to be notified if the selected state may have changed.
`uk.ac.starlink.table.join.MultiJoinType`
`getJoinType()`
Returns the selected join type for this object.
`JComponent`
`getRowLine()`
Returns a component (suitable for vertical stacking) which allows the user to select which rows will be included in the output.
`MatchOption`
`getRowOption()`
Returns the selected MatchOption for this object
`void`
`removeActionListener(ActionListener l)`
Removes a state change listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputRequirements

public OutputRequirements()
Constructs a new OutputRequirements object.

## Method Details

### getRowLine

public JComponent getRowLine()
Returns a component (suitable for vertical stacking) which allows the user to select which rows will be included in the output.

Returns:
  selection window

### getRowOption

public MatchOption getRowOption()
Returns the selected MatchOption for this object

Returns:
  match option

### getJoinType

public uk.ac.starlink.table.join.MultiJoinType getJoinType()
Returns the selected join type for this object.

Returns:
  join type

### addActionListener

public void addActionListener(ActionListener l)
Adds a listener to be notified if the selected state may have changed.

Parameters:
  `l` - listener to add

### removeActionListener

public void removeActionListener(ActionListener l)
Removes a state change listener.

Parameters:
  `l` - listener to remove